4 Replies Latest reply on Jul 24, 2012 12:28 AM by Bart Fukkink

    require can not be found

    Bart Fukkink

      After doing some testing last night I can to trying to find out how I can load a couple of emails using Ruby.

      The Ruby docs provide a nice example for that with http://www.ruby-doc.org/stdlib-1.9.3/libdoc/net/pop/rdoc/Net/POP3.html

       

      Trying these things out in irb just work great. No problem at all. But when I try to use this in RhoStudio, then I get a compile error.

      "E 07/18/2012 09:15:49:811 000011ac              RhoRuby| require_compiled: error: can not find net/pop

      I 07/18/2012 09:15:49:811 000011ac                  APP| App error: no such file to load -- net/pop

      C:/Ontwikkeling/Workspace/EmailApp/app/Email/email_controller.rb:3:in `require'

      C:/Ontwikkeling/Workspace/EmailApp/app/Email/email_controller.rb:3:in `<top (required)>'

      C:/MotorolaRhoMobileSuite2.0.5/ruby/lib/ruby/gems/1.9.1/gems/rhodes-3.3.3/lib/framework/rho/rhoapplication.rb:221:in `require'

      C:/MotorolaRhoMobileSuite2.0.5/ruby/lib/ruby/gems/1.9.1/gems/rhodes-3.3.3/lib/framework/rho/rhoapplication.rb:221:in `serve'

      C:/MotorolaRhoMobileSuite2.0.5/ruby/lib/ruby/gems/1.9.1/gems/rhodes-3.3.3/lib/framework/rho/rho.rb:838:in `serve'"

       

      To me this says: "Can not find the net/pop.rb file." But when I check my file system I can confirm it is there.

       

      Do I have to include anything special in the project, or do I have to add a specific capability for these kind of actions?